#include <iostream>
#include <cstdio>
#include <inttypes.h>
#include <tgmath.h>
int main()
{
int p,q,r,t;
t=0;
unsigned long long min,max;
scanf( "%d" "%d" "%d",&p,&q,&r);
scanf("%llu",&min);
scanf("%llu", &max);
for(min;min<=max;min++)
{
  float a=float(min)/float(p);
  float b=float(min)/float(q);
  float c=float(min)/float(r);
 if((ceil(a)+ceil(b)+ceil(c))<=min)
 {
   t++;
 }
}
printf("%d",t);
return 0;
}